Subject: Where to find stuff...

From: [email-masked] (James J. Boley)
Date: 28 Jan 94 04:46:31 GMT

Greetings!  I am a beginning knifemake who is starting to setup a
forge and workshop.  What I was wondering, does anyone have any places I
could write or call for a catalog or information for a gas powered forge?
I have found everything else but this.  Any help would be appreciated.
Thanks....

Stiletto

--